﻿.overlay {
  width: 100%;
  height: 100%;
  position: fixed;
  top: 0;
  left: 0;
  background-color: rgba(0, 0, 0, 0.25);
  z-index: 9999999;
  display: none;
}

.overlay[data-overlay-for="error"] {
  background-color: rgba(0, 0, 0, 0.5);
}

.overlay .alert {
  margin: 10% auto;
  max-width: 400px;
}

.icon {
  width: 1em;
  vertical-align: text-bottom;
}

.account {
  display: flex;
  background-color: #fff;
  position: absolute;
  top: 0.5em;
  right: 0.5em;
}

@media (min-width: 1800px) {
  .account {
    right: 1.3em; /* workaround due to scrollbar shift fix */
  }
}

@media (max-width: 768px) {
  .account {
    width: 100%;
    justify-content: space-between;
    margin-bottom: 0.5em;
    border-radius: 0;
    top: 0;
    right: 0;
  }
}

@media (min-width: 769px) {

  .account {
    padding: 3px;
    margin-top: -3px;
    justify-content: flex-end;
  }
}

.account .btn-block {
  max-width: 260px;
}

.account .username {
  max-width: 260px;
}

.account > * {
  width: fit-content;
}

.account .btn {
  font-size: 0.9em;
}

.nav-link .badge {
  position: absolute;
  top: -3px;
  right: -3px;
}

.rule strong {
  background-color: whitesmoke;
  padding: 3px;
  margin: 0 5px;
  font-size: 0.9em;
  border-radius: 3px;
}

.manual,
.rule .note {
  padding: 3px;
  margin: 0 5px;
}

strong.manual {
  color: #000;
  background-color: #fbc840;
  text-transform: uppercase;
  font-size: 0.75em;
  font-weight: bold;
}

.rule .note {
  background-color: #fbfbe8;
  display: inline-block;
  vertical-align: middle;
  margin-top: -3px;
  max-width: 300px;
  line-height: 1.2;
  font-size: 0.9em;
}